import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { TypeaheadMatch } from 'ngx-bootstrap';
import { RemoteAutocompletionService, AppGlobalsService } from '../shared/services';
import { AutocompletionConfig } from '../shared/interfaces';
export declare class AutocompleteInputComponent implements OnInit {
    remoteAutocompletionService: RemoteAutocompletionService;
    appGlobalsService: AppGlobalsService;
    static readonly slashesRegExp: RegExp;
    autocompletionConfig: AutocompletionConfig;
    value: string;
    pathString: string;
    tabIndex: number;
    placeholder: string;
    onValueChange: EventEmitter<string>;
    onCompletionSelect: EventEmitter<string>;
    onKeypress: EventEmitter<KeyboardEvent>;
    onBlur: EventEmitter<void>;
    dataSource: Observable<Array<string | object>> | Array<string | object>;
    typeaheadOptionField: string;
    constructor(remoteAutocompletionService: RemoteAutocompletionService, appGlobalsService: AppGlobalsService);
    ngOnInit(): void;
    readonly customItemTemplate: TemplateRef<any>;
    getDotSeparatedOptionField(): string;
    onModelChange(value: string): void;
    onMatchSelect(match: TypeaheadMatch): void;
    onMatchWrapperMouseDown(match: TypeaheadMatch): void;
}
