import { ChangeDetectorRef, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { Http, RequestOptions } from '@angular/http';
import { AppGlobalsService, PathUtilService } from '../shared/services';
import { RefConfig, JSONSchema } from '../shared/interfaces';
export declare class RefFieldComponent implements OnChanges {
    private http;
    private changeDetectorRef;
    private appGlobalsService;
    private pathUtilService;
    schema: JSONSchema;
    value: Map<string, string>;
    path: Array<any>;
    pathString: string;
    refData: object;
    requestOptions: RequestOptions;
    refPath: Array<any>;
    isPreviewButtonHidden: boolean;
    private anchorAttributes;
    constructor(http: Http, changeDetectorRef: ChangeDetectorRef, appGlobalsService: AppGlobalsService, pathUtilService: PathUtilService);
    ngOnChanges(changes: SimpleChanges): void;
    onPreviewClick(): void;
    readonly customTemplate: TemplateRef<any>;
    readonly refConfig: RefConfig;
    readonly ref: string;
    readonly anchorHref: string;
    readonly anchorDisplay: string;
    readonly isTemplateEnabled: boolean;
    readonly shouldDisplayTemplate: boolean;
    readonly shouldDisplayInputField: boolean;
    private fetchRef();
    private createRequestOptionsWithConfig();
}
