import { ReplaySubject } from 'rxjs/ReplaySubject';
import { PathUtilService } from './path-util.service';
export declare class ListPageChangerService {
    private pathUtilService;
    private pageChange$Map;
    private itemsPerPageMap;
    constructor(pathUtilService: PathUtilService);
    /**
     * Changes the page of the list so that requested item is visible on UI
     * It doesn't do anything if given path's parent is not paginated list.
     *
     * @param itemPath path to a list item
     */
    changePage(fieldPath: string): void;
    registerPaginatedList(listPath: string, itemsPerPage: number): ReplaySubject<number>;
}
