import { ReplaySubject } from 'rxjs/ReplaySubject';
import { TabsConfig, JSONSchema } from '../interfaces';
import { PathUtilService } from './path-util.service';
export declare class TabsUtilService {
    pathUtilService: PathUtilService;
    private schemaKeyToTabName;
    readonly activeTabName$: ReplaySubject<string>;
    constructor(pathUtilService: PathUtilService);
    getTabNames(tabsConfig: TabsConfig): Array<string>;
    getSchemaKeyToTabName(tabsConfig: TabsConfig, schema: JSONSchema): {
        [key: string]: string;
    };
    selectTabIfNeeded(path: string): void;
}
