import { ElementRef, EventEmitter, OnInit, AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { DomUtilService, KatexService } from '../shared/services';
export declare class StringInputComponent implements AfterViewInit, OnInit, OnChanges {
    domUtilService: DomUtilService;
    katexService: KatexService;
    latexPreviewEl: ElementRef;
    value: string;
    disabled: boolean;
    pathString: string;
    placeholder: string;
    tabIndex: number;
    latexPreviewEnabled: boolean;
    blur: EventEmitter<void>;
    onKeypress: EventEmitter<void>;
    valueChange: EventEmitter<string>;
    latexPreviewShown: boolean;
    contentModel: string;
    constructor(domUtilService: DomUtilService, katexService: KatexService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onBlur(): void;
    renderLatex(): void;
    hideLatexPreview(contentEditableEl: HTMLElement): void;
    contentModelChange(value: string): void;
    readonly shouldShowLatexPreview: boolean;
}
