import { ChangeDetectorRef } from '@angular/core';
import { List, Map, Set } from 'immutable';
import { ReplaySubject } from 'rxjs/ReplaySubject';
import { AbstractListFieldComponent } from '../abstract-list-field';
import { AppGlobalsService, JsonStoreService, PathUtilService, KeysStoreService, ProblemsService } from '../shared/services';
import { JSONSchema } from '../shared/interfaces';
export declare class TableListFieldComponent extends AbstractListFieldComponent {
    appGlobalsService: AppGlobalsService;
    problemsService: ProblemsService;
    jsonStoreService: JsonStoreService;
    pathUtilService: PathUtilService;
    keysStoreService: KeysStoreService;
    changeDetectorRef: ChangeDetectorRef;
    values: List<Map<string, any>>;
    supportValues: List<Map<string, any>>;
    schema: JSONSchema;
    path: Array<any>;
    constructor(appGlobalsService: AppGlobalsService, problemsService: ProblemsService, jsonStoreService: JsonStoreService, pathUtilService: PathUtilService, keysStoreService: KeysStoreService, changeDetectorRef: ChangeDetectorRef);
    readonly keys$: ReplaySubject<Set<string>>;
}
