import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { Set } from 'immutable';
import { ReplaySubject } from 'rxjs/ReplaySubject';
import { DomUtilService, WindowHrefService, PathUtilService, AppGlobalsService } from '../shared/services';
import { JSONSchema } from '../shared/interfaces';
export declare class TreeMenuItemComponent implements OnInit, OnChanges {
    private windowHrefService;
    private domUtilService;
    private pathUtilService;
    private appGlobalsService;
    label: string;
    value: any;
    schema: JSONSchema;
    path: string;
    depth: number;
    keys: Set<string>;
    isCollapsed: boolean;
    href: string;
    constructor(windowHrefService: WindowHrefService, domUtilService: DomUtilService, pathUtilService: PathUtilService, appGlobalsService: AppGlobalsService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    toggle(event: Event): void;
    collapse(): void;
    readonly isCollapsable: boolean;
    readonly maxDepth: number;
    readonly isNotLeaf: boolean;
    readonly adminMode$: ReplaySubject<boolean>;
    getChildPath(indexOrKey: number | string): string;
    trackByElement(index: number, element: any): any;
}
