import { OnChanges, SimpleChanges } from '@angular/core';
import { Map, Set } from 'immutable';
import { ReplaySubject } from 'rxjs/ReplaySubject';
import { DomUtilService, PathUtilService, AppGlobalsService } from '../shared/services';
import { JSONSchema } from '../shared/interfaces';
export declare class TreeMenuComponent implements OnChanges {
    private domUtilService;
    private pathUtilService;
    private appGlobalsService;
    record: Map<string, any>;
    schema: JSONSchema;
    keys: Set<string>;
    private prefixOrPath;
    constructor(domUtilService: DomUtilService, pathUtilService: PathUtilService, appGlobalsService: AppGlobalsService);
    ngOnChanges(changes: SimpleChanges): void;
    getChildPath(key: string): string;
    trackByElement(index: number, element: any): any;
    readonly adminMode$: ReplaySubject<boolean>;
}
